<template>
    <div class="order-wrap">
        <van-tabs v-model="active">
            <van-tab title="全部"><GoodsCard/></van-tab>
            <van-tab title="待发货"><GoodsCard/></van-tab>
            <van-tab title="配送中"><GoodsCard/></van-tab>
            <van-tab title="已收货"><GoodsCard/></van-tab>
        </van-tabs>
    </div>
</template>
<script>
import { Button, Card, Tag, Tabs, Tab} from "vant";
import GoodsCard from '../../components/goodsCard/GoodsCard'
export default {
    name: "Order",
    components:{
        [Tabs.name]: Tabs,
        [Tab.name]: Tab,
        [Button.name]: Button,
        GoodsCard
    },
    data(){
        return{
            active:0
        }
    },
    created(){
        this.active=this.$route.query.status;
    }
};
</script>

<style scope lang="less">
    .order-wrap{
        margin-top:10px;
        width: 100vw;
        background-color: rgba(246,246,246,1);
        min-height: 100vh;
        .van-tabs__wrap {
            height: 37.5px;
            line-height: 37.5px
        }
    }
</style>
